// gph_fig16_1.do   The anatomy of a graph

* Choose the directory where you store the files for the book.
* In the book's examples the command is -cd C:\docs\ishr4-

use fvc.dta, clear
set scheme lean1

* see sections 16.2 to 16.7 for explanation of command listed below

twoway                                                           /// G
  (scatter fvc height if sex==0, msymbol(Oh))                    /// P
  (scatter fvc height if sex==1, msymbol(O))                     /// P
  ,                                                              ///
  title("Title: Figure 16.1")                                    /// G
  subtitle("Subtitle: The anatomy of a graph")                   /// G
  ytitle("y-axis title") xtitle("x-axis title")                  /// G
  legend(title("Legend", size(*0.8))                             /// G
    order(1 "first plot" 2 "second plot"))                       /// G
  note("Note: xsize() and ysize() define the entire graph size") /// G
  caption("Caption: Figure 16.1: Anatomy of a graph")            /// G
  text(6.3 165 "Plot area", size(*1.5))                          /// G
  graphregion(lpattern(dash) lcolor(black) lwidth(*0.6))         /// G
  xsize(4.4) ysize(3.3)
